# Yahoo! UI Library

### test 3.3.0

Yahoo! UI Library > test > Test.Reporter
Search:
Filters Show Private Show Protected Show Deprecated

## Class Test.Reporter

An object capable of sending test results to a server.

### Constructor

Test.Reporter `( url , format )`

Parameters:
  `url <String>` The URL to submit the results to.
  `format <Function>` (Optiona) A function that outputs the results in a specific format. Default is Y.Test.Format.XML.

### Properties

#### _fields - `private Object`

Extra fields to submit with the request.

#### _form - `private HTMLFormElement`

The form element used to submit the results.

#### _iframe - `private HTMLIFrameElement`

Iframe used as a target for form submission.

#### format - `Function`

The formatting function to call when submitting the data.

#### url - `String`

The URL to submit the data to.

### Methods

#### addField

`Void addField ( name , value )`
Adds a field to the form that submits the results.

Parameters:
  `name <String>` The name of the field.
  `value <Variant>` The value of the field.

#### destroy

`Void destroy ( )`
Cleans up the memory associated with the TestReporter, removing DOM elements that were created.

#### report

`Void report ( results )`
Sends the report to the server.

Parameters:
  `results <Object>` The results object created by TestRunner.

Copyright © 2011 Yahoo! Inc. All rights reserved.